Bug 112840 - Unable to su to root
Summary: Unable to su to root
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nss_ldap (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-03 18:11 UTC by Petr Krištof
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-22 15:49:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Petr Krištof 2004-01-03 18:11:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
After enabling ldap auth by tool authconfig, all users (local or ldap)
can log-in to the system.
But no one is able to 'su' to root.


Version-Release number of selected component (if applicable):
nss_ldap-207-3

How reproducible:
Always

Steps to Reproduce:
1. Enable ldap auth by authconfig
2. Login as normal user
3. do 'su'
    

Actual Results:  $ su
Password:
su: ../../../libraries/libldap/unbind.c:40: ldap_unbind_ext: Assertion
`( (ld)->ld_options.ldo_valid == 0x2 )' failed.
su: ../../../libraries/libldap/unbind.c:40: ldap_unbind_ext: Assertion
`( (ld)->ld_options.ldo_valid == 0x2 )' failed.
Aborted
$

Additional info:

Im unable to login as root to administrate systems, eg. install
updates, errata, security fixies. It is hard problem.

Comment 1 Petr Krištof 2004-06-22 15:49:01 UTC
This issue left out after upgrade to Fedora Core 2.
Closing bug.



Note You need to log in before you can comment on or make changes to this bug.